[arch-commits] Commit in talloc/repos (extra-i686/PKGBUILD extra-x86_64/PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Thu Jan 14 14:59:15 EST 2010


    Date: Thursday, January 14, 2010 @ 14:59:14
  Author: tpowa
Revision: 63120

new depend for samba

Added:
  talloc/repos/extra-i686/PKGBUILD
  talloc/repos/extra-x86_64/PKGBUILD

-----------------------+
 extra-i686/PKGBUILD   |   26 ++++++++++++++++++++++++++
 extra-x86_64/PKGBUILD |   26 ++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

Added: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2010-01-14 19:59:14 UTC (rev 63120)
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 63108 2010-01-14 18:54:03Z tpowa $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=talloc
+pkgver=2.0.1
+pkgrel=1
+pkgdesc="talloc is a hierarchical pool based memory allocator with destructors"
+arch=(i686 x86_64)
+license=('GPL3')
+url="http://tdb.samba.org/"
+source=(http://samba.org/ftp/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+depends=('glibc')
+
+build() {
+   cd ${srcdir}/${pkgname}-${pkgver}
+   ./configure --prefix=/usr \
+   --sysconfdir=/etc/samba \
+   --localstatedir=/var \
+   --enable-talloc-compat1 \
+   --enable-largefile
+   make || return 1
+   make DESTDIR=$pkgdir/ install
+   # fix permission
+   chmod 644 $pkgdir/usr/lib/libtalloc.a
+}
+md5sums=('c6e736540145ca58cb3dcb42f91cf57b')

Added: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2010-01-14 19:59:14 UTC (rev 63120)
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 63108 2010-01-14 18:54:03Z tpowa $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=talloc
+pkgver=2.0.1
+pkgrel=1
+pkgdesc="talloc is a hierarchical pool based memory allocator with destructors"
+arch=(i686 x86_64)
+license=('GPL3')
+url="http://tdb.samba.org/"
+source=(http://samba.org/ftp/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+depends=('glibc')
+
+build() {
+   cd ${srcdir}/${pkgname}-${pkgver}
+   ./configure --prefix=/usr \
+   --sysconfdir=/etc/samba \
+   --localstatedir=/var \
+   --enable-talloc-compat1 \
+   --enable-largefile
+   make || return 1
+   make DESTDIR=$pkgdir/ install
+   # fix permission
+   chmod 644 $pkgdir/usr/lib/libtalloc.a
+}
+md5sums=('c6e736540145ca58cb3dcb42f91cf57b')



More information about the arch-commits mailing list